arrangers:
- link: artist/2798
  names:
    en: Dino Lionetti
- names:
    en: Ryan Soloby
catalog: N/A
categories:
- Game
category: Game
classification: Arrangement
composers:
- link: artist/1463
  names:
    en: Tokuhiko Uwabo
    ja: 上保徳彦
- link: artist/1384
  names:
    en: Howard Drossin
- link: artist/363
  names:
    en: Hirokazu Tanaka
    ja: 田中宏和
- link: artist/1308
  names:
    en: David Whittaker
- link: artist/187
  names:
    en: Manami Matsumae
    ja: 松前真奈美
- link: artist/327
  names:
    en: Mari Yamaguchi
    ja: 山口真理
- link: artist/2801
  names:
    en: Gábor Foltán
- link: artist/2802
  names:
    en: Csaba Gigor
- link: artist/2803
  names:
    en: László Fazekas
- link: artist/700
  names:
    en: Mieko Ishikawa
    ja: 石川三恵子
- link: artist/1296
  names:
    en: Robert Prince
covers:
- full: https://media.vgm.io/albums/81/4618/4618-1190421427.jpg
  medium: https://medium-media.vgm.io/albums/81/4618/4618-1190421427.jpg
  name: Front
  thumb: https://thumb-media.vgm.io/albums/81/4618/4618-1190421427.jpg
- full: https://media.vgm.io/albums/81/4618/4618-1192960867.jpg
  medium: https://medium-media.vgm.io/albums/81/4618/4618-1192960867.jpg
  name: Disc
  thumb: https://thumb-media.vgm.io/albums/81/4618/4618-1192960867.jpg
discs:
- disc_length: '30:13'
  name: Disc 1
  tracks:
  - names:
      English: Zillion
    track_length: '5:09'
  - names:
      English: Sonic & Knuckles
    track_length: '1:47'
  - names:
      English: Balloon Kid
    track_length: '3:00'
  - names:
      English: Red Max
    track_length: '3:49'
  - names:
      English: U.N. Squadron
    track_length: '4:38'
  - names:
      English: Ecco The Dolphin 2
    track_length: '1:52'
  - names:
      English: Wanderers From Ys
    track_length: '5:32'
  - names:
      English: Doom
    track_length: '4:26'
link: album/4618
lyricists: []
media_format: CD
meta:
  added_date: 2007-09-19T14:48
  edited_date: 2008-01-12T03:17
  fetched_date: 2025-11-24T17:13
  freedb: 0
  ttl: 86400
  visitors: 7165
name: Sprite Slowdown - Self Titled
names:
  en: Sprite Slowdown - Self Titled
  ja: Sprite Slowdown - Self Titled
  ja-latn: Sprite Slowdown - Self Titled
notes: 'Chromelodeon''s video game cover band project

  Composition:

  Tokuhiko Uwabo: 1

  Howard Drossin: 2

  Hirokazu Tanaka: 3

  David Whittaker: 4

  Manami Matsumae, Mari Yamaguchi: 5

  Gábor Foltán, Csaba Gigor, László Fazekas: 6

  Mieko Ishikawa: 7

  Robert Prince: 8'
organizations:
- &id001
  names:
    en: Sprite Slowdown
  role: publisher
performers:
- link: artist/2797
  names:
    en: Sprite Slowdown
picture_full: https://media.vgm.io/albums/81/4618/4618-1190421427.jpg
picture_small: https://medium-media.vgm.io/albums/81/4618/4618-1190421427.jpg
picture_thumb: https://thumb-media.vgm.io/albums/81/4618/4618-1190421427.jpg
platforms:
- Commodore 64
- NEC PC-88
- Nintendo Game Boy
- PC
- Sega Master System (Mark III)
- Sega Mega Drive (Genesis)
- SNES (Super Famicom)
products:
- names:
    en: Zillion
- link: product/1099
  names:
    en: Sonic & Knuckles
    ja: ソニック&ナックルズ
    ja-latn: Sonic & Knuckles
- link: product/12248
  names:
    en: Balloon Kid
    ja: Balloon Kid
    ja-latn: Balloon Kid
- names:
    en: Red Max
- link: product/661
  names:
    en: U.N. Squadron
    ja: エリア88
    ja-latn: Area 88
- link: product/54
  names:
    en: 'Ecco: The Tides of Time'
    ja: 'Ecco: The Tides of Time'
    ja-latn: 'Ecco: The Tides of Time'
- link: product/280
  names:
    en: 'Ys III: Wanderers from Ys'
    ja: イース III ワンダラーズ フロム イース
    ja-latn: 'Ys III: Wanderers from Ys'
- link: product/4199
  names:
    en: DOOM (1993)
    ja: Doom (1993)
    ja-latn: DOOM (1993)
publish_format: Doujin/Indie
publisher: *id001
related: []
release_date: '2005'
release_events: []
release_price:
  price: Unknown
reprints: []
vgmdb_link: https://vgmdb.net/album/4618?perpage=99999
votes: 0
